#!/bin/sh


if [ "$ID_BUS" = ata ]; then
	mkdir -p /sata/
	mount /dev/$1 /sata -o rw,nosuid,utf8=1
elif [ "$ID_BUS" = "usb" ]; then
	if [ "$ID_USB_DRIVER" = "usb-storage" ]; then
		mkdir -p /usb-storage/
		mount /dev/$1 /usb-storage rw,nosuid,utf8=1
	else
		echo "`date +"%D %T"` ID_USB_DRIVER: $ID_USB_DRIVER" >> /var/log/mymount.log
	fi
else
	echo "`date +"%D %T"` unknown ID_BUS: $ID_BUS" >> /var/log/mymount.log
fi

